Update a publisher-writer agreement
curl --request PUT \
--url https://api.royalti.io/publisher-writer/agreements/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"territories": [
{
"territoryCode": "WW",
"prShare": 50,
"mrShare": 50,
"srShare": 50,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
],
"contractNumber": "<string>",
"contractDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"isActive": true
}
'import requests
url = "https://api.royalti.io/publisher-writer/agreements/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"territories": [
{
"territoryCode": "WW",
"prShare": 50,
"mrShare": 50,
"srShare": 50,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
],
"contractNumber": "<string>",
"contractDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"isActive": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
territories: [
{
territoryCode: 'WW',
prShare: 50,
mrShare: 50,
srShare: 50,
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z'
}
],
contractNumber: '<string>',
contractDate: '2023-11-07T05:31:56Z',
startDate: '2023-11-07T05:31:56Z',
endDate: '2023-11-07T05:31:56Z',
isActive: true
})
};
fetch('https://api.royalti.io/publisher-writer/agreements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": 123,
"publisherId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"writerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"territories": [
{
"territoryCode": "WW",
"prShare": 50,
"mrShare": 50,
"srShare": 50,
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z"
}
],
"contractNumber": "<string>",
"contractDate": "2023-11-07T05:31:56Z",
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"isActive": true,
"publisher": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"writer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}{
"message": "<string>",
"error": "<string>"
}Publisher Writer Agreements
Update a publisher-writer agreement
PUT /publisher-writer/agreements/
PUT
/
publisher-writer
/
agreements
/
{id}
Update a publisher-writer agreement
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
PUT /publisher-writer/agreements/ Description: Partial update inside a DB transaction. Ifterritories is
supplied, it is validated and checked for conflicts against the
publisher/writer pair’s OTHER active agreements (excluding this
one) — a conflict rolls back and returns 400. publisherId/
writerId are not reassignable through this endpoint (they are
not read from the body by the service layer’s update path).
Authorization:
- Required role:
adminor higher
Code Examples
const response = await fetch('https://api.royalti.io/publisher-writer/agreements/example-id', {
method: 'PUT',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"ref": "#/components/schemas/AgreementUpdateRequest"
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.put(
'https://api.royalti.io/publisher-writer/agreements/example-id',
headers={
'Authorization': f'Bearer {token}'
},
json={"ref":"#/components/schemas/AgreementUpdateRequest"}
)
data = response.json()
print(data)
curl -X PUT https://api.royalti.io/publisher-writer/agreements/example-id \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"ref":"#/components/schemas/AgreementUpdateRequest"}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Path Parameters
Body
application/json
Partial update — any subset of AgreementCreateRequest's fields (excluding publisherId/writerId, which are immutable via this endpoint).
Response
Agreement updated
Show child attributes
Show child attributes
Available options:
draft, pending, active, expired, terminated Only present when the record was loaded via the model's default scope (all reads; NOT present on the POST /agreements create response).
Show child attributes
Show child attributes
Only present when the record was loaded via the model's default scope (all reads; NOT present on the POST /agreements create response).
Show child attributes
Show child attributes
⌘I